# Příklad: reprezentace času
# objekty typu Time drží čas v rozumném formátu
# (sekundy jsou mezi 0 a 59 apod.)


class Time:
    def __init__(self, h, m, s):
        # zde by mohla být kontrola vstupu
        self.hours = h
        self.minutes = m
        self.seconds = s
        self.validate()

    def validate(self):
        if self.seconds >= 60:
            self.minutes += self.seconds // 60
            self.seconds = self.seconds % 60
        if self.minutes >= 60:
            self.hours += self.minutes // 60
            self.minutes = self.minutes % 60

    def pretty_print(self):
        print("{}:{:02}:{:02}".format(self.hours, self.minutes, self.seconds))

    def add_seconds(self, sec):
        self.seconds += sec
        self.validate()

# zkuste si:

# t = Time(1,30,72)
# t.pretty_print()
# t.add_seconds(107)
# t.pretty_print()
