# Příklad: matice
class Matrix:
    def __init__(self, rows, cols):
        self.rows = rows
        self.cols = cols
        self.matrix = [[0 for i in range(self.cols)]
                       for i in range(self.rows)]

    def check(self, row, col):
        if row < 0 or row >= self.rows:
            print("Bad row index.")
            return False
        if col < 0 or col >= self.cols:
            print("Bad column index.")
            return False
        return True

    def get(self, row, col):
        if self.check(row, col):
            return self.matrix[row][col]

    def set(self, row, col, value):
        if self.check(row, col):
            self.matrix[row][col] = value

    def print(self):
        for row in self.matrix:
            print(" ".join(map(str, row)))


def matrix_mult(matL, matR):
    if matL.cols != matR.rows:
        print("Incompatible matrices.")
        return
    result = Matrix(matL.rows, matR.cols)
    for i in range(matL.rows):
        for j in range(matR.cols):
            for k in range(matL.cols):
                result.set(i, j, result.get(i, j) +
                           matL.get(i, k) * matR.get(k, j))
    return result

# zkuste si vynásobit matice:
# 0 1     1 1
# 1 1  *  1 0

# a = Matrix(2,2)
# b = Matrix(2,2)
# a.set(0,1,1)
# a.set(1,0,1)
# a.set(1,1,1)
# a.print()
# b.set(0,1,1)
# b.set(1,0,1)
# b.set(0,0,1)
# b.print()
# c = matrix_mult(a,b)
# c.print()
